auntenticarUsuario:
  path:  /usuario/autenticar
  defaults: { _controller: App\Controller\UsuarioController::autenticar, _format: json }

loginRrssUsuario:
  path:  /usuario/loginRrss
  defaults: { _controller: App\Controller\UsuarioController::loginRrss, _format: json }

forgetPass:
  path:  /usuario/olvidoContrasenna
  defaults: { _controller: App\Controller\UsuarioController::olvidoContrasenna, _format: json }

updatePass:
  path:  /usuario/actualizarContrasenna
  defaults: { _controller: App\Controller\UsuarioController::actualizarContrasenna, _format: json }

listarUsuarioDeCodigoActivacion:
  path:  /usuario/devolverUsuarioDeCodigoActivacion
  defaults: { _controller: App\Controller\UsuarioController::devolverUsuarioDeCodigoActivacion, _format: json }

registrarUsuario:
  path:  /usuario/registrar
  defaults: { _controller: App\Controller\UsuarioController::registrar, _format: json }

activarUsuario:
  path:  /usuario/activar
  defaults: { _controller: App\Controller\UsuarioController::activar, _format: json }

reenviarCodigoUsuario:
  path:  /usuario/reenviar-codigo
  defaults: { _controller: App\Controller\UsuarioController::reenviarCodigo, _format: json }

listarTerminosDeEmpresa:
  path:  /empresa/listarTerminos
  defaults: { _controller: App\Controller\EmpresaController::listarTerminos, _format: json }

salvarCotizacionWebpay:
  path:  /cotizacion/salvarCotizacionWebpay
  defaults: { _controller: App\Controller\CotizacionController::salvarWebpay }

auntenticarUsuarioApp:
  path: /usuario-app/autenticar
  defaults: { _controller: App\Controller\App\UsuarioController::autenticar, _format: json }

# crons y downloads
definirpermisosusuario:
  path:  /definir-permisos-usuario
  defaults: { _controller: App\Controller\DefaultController::definirpermisosusuario, _format: json }

descargarPdfCotizacion:
  path:  /cotizacion/descargar/{cotizacion_id}
  defaults: { _controller: App\Controller\CotizacionController::descargar }

descargarPdfOc:
  path:  /oc/descargar/{oc_id}
  defaults: { _controller: App\Controller\OcController::descargar }

descargarPdfGiftcard:
  path:  /giftcard/descargar/{codigo}
  defaults: { _controller: App\Controller\OcController::descargarGiftcard }

descargarPdfCuponBeneficio:
  path:  /cupon-beneficio/descargar/{codigo}
  defaults: { _controller: App\Controller\CuponBeneficioController::descargarPdf }

descargarPdfCuponProducto:
  path:  /cupon-producto/descargar/{codigo}
  defaults: { _controller: App\Controller\CuponProductoController::descargarPdf }

descargarPdfCuponServicio:
  path:  /cupon-servicio/descargar/{codigo}
  defaults: { _controller: App\Controller\CuponServicioController::descargarPdf }

descargarPlantillaUsuario:
  path:  /usuario/descargarPlantilla
  defaults: { _controller: App\Controller\UsuarioController::descargarPlantilla }

cronaprobarsolicitud:
  path:  /cron-aprobar-solicitud
  defaults: { _controller: App\Controller\DefaultController::cronaprobarsolicitud, _format: json }

entregargiftcard:
  path:  /entregar-giftcard/{codigo}
  defaults: { _controller: App\Controller\DefaultController::entregargiftcard, _format: json }

testchileexpress:
  path:  /test-chile-express
  defaults: { _controller: App\Controller\DefaultController::testchileexpress }

crearsucursaleschileexpress:
  path:  /crear-sucursales-chileexpress
  defaults: { _controller: App\Controller\DefaultController::crearsucursaleschileexpress }

migrarinfousuario:
  path:  /migrar-info-usuario
  defaults: { _controller: App\Controller\DefaultController::migrarinfousuario }

descargarPdfBeneficio:
  path:  /beneficio/descargar/{beneficio_id}
  defaults: { _controller: App\Controller\BeneficioController::descargar }

importarCategoriasBci:
  path:  /importar-categorias-bci
  defaults: { _controller: App\Controller\DefaultController::importarCategoriasBci, _format: json }

importarSucursalesBci:
  path:  /importar-sucursales-bci
  defaults: { _controller: App\Controller\DefaultController::importarSucursalesBci, _format: json }

importarBeneficiosBci:
  path:  /importar-beneficios-bci/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::importarBeneficiosBci, _format: json }

importarCaracteristicasComerciosBci:
  path:  /importar-caracteristicas-comercios-bci
  defaults: { _controller: App\Controller\DefaultController::importarCaracteristicasComerciosBci, _format: json }

limpiarTelefonos:
  path:  /limpiar-telefonos
  defaults: { _controller: App\Controller\DefaultController::limpiarTelefonos, _format: json }

testwebservice:
  path:  /test-webservice
  defaults: { _controller: App\Controller\DefaultController::testwebservice }

testwebservicelogin:
  path:  /test-webservice-login
  defaults: { _controller: App\Controller\DefaultController::testwebservicelogin }

#Webpay test
testwebpay:
  path:  /test-webpay
  defaults: { _controller: App\Controller\DefaultController::testwebpay }

testwebpayresult:
  path:  /test-webpay-result
  defaults: { _controller: App\Controller\DefaultController::testwebpayresult }

testwebpayfinal:
  path:  /test-webpay-final
  defaults: { _controller: App\Controller\DefaultController::testwebpayfinal }

cotizacionsuccess:
  path:  /cotizacion-finalizada/{cotizacion_id}
  defaults: { _controller: App\Controller\CotizacionController::cotizacionsuccess }

cotizacionerror:
  path:  /cotizacion-error/{cotizacion_id}
  defaults: { _controller: App\Controller\CotizacionController::cotizacionerror }

cotizacionresult:
  path:  /cotizacion-resultado/{cotizacion_id}
  defaults: { _controller: App\Controller\CotizacionController::cotizacionresult }

importarCiudades:
  path:  /importar-ciudades
  defaults: { _controller: App\Controller\DefaultController::importarCiudades, _format: json }

arreglarRutSucursalesBci:
  path:  /arreglar-rut-sucursales-bci
  defaults: { _controller: App\Controller\DefaultController::arreglarRutSucursalesBci, _format: json }

importarSucursalesVentaOnlineBci:
  path:  /importar-sucursales-venta-online-bci
  defaults: { _controller: App\Controller\DefaultController::importarSucursalesVentaOnlineBci, _format: json }

agregarRutComercios:
  path:  /agregar-rut-comercios
  defaults: { _controller: App\Controller\DefaultController::agregarRutComercios, _format: json }

agregarDireccionComercios:
  path:  /agregar-direccion-comercios
  defaults: { _controller: App\Controller\DefaultController::agregarDireccionComercios, _format: json }

arreglarcotizaciones:
  path:  /arreglar-cotizaciones
  defaults: { _controller: App\Controller\DefaultController::arreglarcotizaciones }

croncanjesdia:
  path:  /cron-canjes-dia
  defaults: { _controller: App\Controller\DefaultController::croncanjesdia, _format: json }

definircodigologinempresas:
  path:  /definir-codigo-login-empresas
  defaults: { _controller: App\Controller\DefaultController::definircodigologinempresas, _format: json }

arreglarComerciosMarcas:
  path:  /arreglar-comercios-marcas
  defaults: { _controller: App\Controller\DefaultController::arreglarComerciosMarcas, _format: json }

importarPuntosVentaConsolidado:
  path:  /importar-puntos-venta-consolidado
  defaults: { _controller: App\Controller\DefaultController::importarPuntosVentaConsolidado, _format: json }

activarComercios:
  path:  /activar-comercios
  defaults: { _controller: App\Controller\DefaultController::activarComercios, _format: json }

eliminarComerciosInactivos:
  path:  /eliminar-comercios-inactivos
  defaults: { _controller: App\Controller\DefaultController::eliminarComerciosInactivos, _format: json }

activarMarcas:
  path:  /activar-marcas
  defaults: { _controller: App\Controller\DefaultController::activarMarcas, _format: json }

eliminarMarcasInactivas:
  path:  /eliminar-marcas-inactivas
  defaults: { _controller: App\Controller\DefaultController::eliminarMarcasInactivas, _format: json }

eliminarMandantes:
  path:  /eliminar-mandante/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::eliminarMandante, _format: json }

importarBeneficiosConsolidado:
  path:  /importar-beneficios-consolidado
  defaults: { _controller: App\Controller\DefaultController::importarBeneficiosConsolidado, _format: json }

eliminarBeneficiosInactivos:
  path:  /eliminar-beneficios-inactivos/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::eliminarBeneficiosInactivos, _format: json, empresa_id: '' }

eliminarBeneficiosDeMandante:
  path:  /eliminar-beneficios-mandante/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::eliminarBeneficiosDeMandante, _format: json }

limpiarBeneficiosDeMandanteLiderBCI:
  path:  /limpiar-beneficios-mandante-lider-bci
  defaults: { _controller: App\Controller\DefaultController::limpiarBeneficiosDeMandanteLiderBCI, _format: json }

limpiarBeneficiosDeMandanteBciPlus:
  path:  /limpiar-beneficios-mandante-bci-plus
  defaults: { _controller: App\Controller\DefaultController::limpiarBeneficiosDeMandanteBciPlus, _format: json }

exportarPuntosVenta:
  path:  /exportar-puntos-venta
  defaults: { _controller: App\Controller\DefaultController::exportarPuntosVenta, _format: json }

exportarCodigosComercio:
  path:  /exportar-codigos-comercio
  defaults: { _controller: App\Controller\DefaultController::exportarCodigosComercio, _format: json }

corregirDescripcionBeneficios:
  path:  /corregir-descripcion-beneficios
  defaults: { _controller: App\Controller\DefaultController::corregirDescripcionBeneficios, _format: json }

arreglarImagenMarcaBeneficio:
  path:  /arreglar-imagen-marca-beneficio
  defaults: { _controller: App\Controller\DefaultController::arreglarImagenMarcaBeneficio, _format: json }

arreglarComercioBeneficio:
  path:  /arreglar-comercio-beneficio
  defaults: { _controller: App\Controller\DefaultController::arreglarComercioBeneficio, _format: json }

copiarInfoContactoComercio:
  path:  /copiar-info-contacto-comercio
  defaults: { _controller: App\Controller\DefaultController::copiarInfoContactoComercio, _format: json }

crondesactivarbeneficios:
  path:  /cron-desactivar-beneficios
  defaults: { _controller: App\Controller\DefaultController::crondesactivarbeneficios, _format: json }

cronbeneficiosproximosavencer:
  path:  /cron-beneficios-proximos-a-vencer
  defaults: { _controller: App\Controller\DefaultController::cronbeneficiosproximosavencer, _format: json }

copiarImagenBeneficio:
  path:  /copiar-imagen-beneficio
  defaults: { _controller: App\Controller\DefaultController::copiarImagenBeneficio, _format: json }

actualizarBeneficiosBci:
  path:  /actualizar-beneficios-bci/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::actualizarBeneficiosBci, _format: json }

importarProductosBci:
  path:  /importar-productos-bci/{empresa_id}
  defaults: { _controller: App\Controller\DefaultController::importarProductosBci, _format: json }

copiarImagenGaleriaProducto:
  path:  /copiar-imagen-galeria-producto
  defaults: { _controller: App\Controller\DefaultController::copiarImagenGaleriaProducto, _format: json }

importarContactoComercio:
  path:  /importar-contacto-comercio
  defaults: { _controller: App\Controller\DefaultController::importarContactoComercio, _format: json }

agregarGeocodingSucursales:
  path:  /agregar-geocoding-sucursales
  defaults: { _controller: App\Controller\DefaultController::agregarGeocodingSucursales, _format: json }

copiarSucursalesAComercio:
  path:  /copiar-sucursales-comercio
  defaults: { _controller: App\Controller\DefaultController::copiarSucursalesAComercio, _format: json }

eliminarSucursalesRepetidas:
  path:  /eliminar-sucursales-repetidas
  defaults: { _controller: App\Controller\DefaultController::eliminarSucursalesRepetidas, _format: json }

importarTagsBeneficio:
  path:  /importar-tags-beneficio
  defaults: { _controller: App\Controller\DefaultController::importarTagsBeneficio, _format: json }

importarMotivos:
  path:  /importar-motivos
  defaults: { _controller: App\Controller\DefaultController::importarMotivos, _format: json }

crongestioncomercio:
  path:  /cron-gestion-comercio
  defaults: { _controller: App\Controller\DefaultController::crongestioncomercio, _format: json }

eliminarComerciosExcel:
  path:  /eliminar-comercios-excel
  defaults: { _controller: App\Controller\DefaultController::eliminarComerciosExcel, _format: json }

corregirResumenBeneficios:
  path:  /corregir-resumen-beneficios
  defaults: { _controller: App\Controller\DefaultController::corregirResumenBeneficios, _format: json }

agregarFechaContactoComercios:
  path:  /agregar-fecha-contacto-comercios
  defaults: { _controller: App\Controller\DefaultController::agregarFechaContactoComercios, _format: json }

agregarMandanteACategoria:
  path:  /agregar-mandante-categoria
  defaults: { _controller: App\Controller\DefaultController::agregarMandanteACategoria, _format: json }

corregirCategoriaBeneficios:
  path:  /corregir-categoria-beneficios
  defaults: { _controller: App\Controller\DefaultController::corregirCategoriaBeneficios, _format: json }

eliminarCategoriasSinBeneficios:
  path:  /eliminar-categorias-sin-beneficios
  defaults: { _controller: App\Controller\DefaultController::eliminarCategoriasSinBeneficios, _format: json }

cronactivarcomerciossucursalesinactivostemporalmente:
  path:  /cron-activar-comercios-sucursales-inactivos-temporalmente
  defaults: { _controller: App\Controller\DefaultController::cronactivarcomerciossucursalesinactivostemporalmente, _format: json }

crondesactivarcomerciossucursalesfechainicio:
  path:  /cron-desactivar-comercios-sucursales-fecha-inicio
  defaults: { _controller: App\Controller\DefaultController::crondesactivarcomerciossucursalesfechainicio, _format: json }

cronactivarcomerciossucursalesfechafinal:
  path:  /cron-activar-comercios-sucursales-fecha-final
  defaults: { _controller: App\Controller\DefaultController::cronactivarcomerciossucursalesfechafinal, _format: json }

actualizarCategoriaComercio:
  path:  /actualizar-categoria-comercio
  defaults: { _controller: App\Controller\DefaultController::actualizarCategoriaComercio, _format: json }

desactivarSucursalesComerciosInactivos:
  path:  /desactivar-sucursales-comercios-inactivos
  defaults: { _controller: App\Controller\DefaultController::desactivarSucursalesComerciosInactivos, _format: json }

exportarcomerciosbeneplus:
  path:  /exportar-comercios-beneplus
  defaults: { _controller: App\Controller\DefaultController::exportarcomerciosbeneplus, _format: json }

actualizarPermanenteComercio:
  path:  /actualizar-permanente-comercio
  defaults: { _controller: App\Controller\DefaultController::actualizarPermanenteComercio, _format: json }

cronalertaindicador:
  path:  /cron-alerta-indicador
  defaults: { _controller: App\Controller\DefaultController::cronalertaindicador, _format: json }

cronedp:
  path:  /cron-edp/{empresa_id}
  defaults: { _controller: App\Controller\ReporteBeneficioController::cronedp, _format: json, empresa_id: '15' }

salvarWebpayNormalApp:
  path:  /cotizacion-app/salvarWebpayNormal/{cotizacion_id}
  defaults: { _controller: App\Controller\App\CotizacionController::salvarWebpayNormal }

webpayResultApp:
  path:  /cotizacion-app/webpay-result/{cotizacion_id}
  defaults: { _controller: App\Controller\App\CotizacionController::webpayResult }

webpaySuccessApp:
  path:  /cotizacion-app/webpay-success/{cotizacion_id}
  defaults: { _controller: App\Controller\App\CotizacionController::webpaySuccess }

crongestioncomercios:
  path:  /cron-gestion-comercios
  defaults: { _controller: App\Controller\DefaultController::crongestioncomercios, _format: json }

actualizarFaseComuna:
  path:  /actualizar-fase-comuna
  defaults: { _controller: App\Controller\DefaultController::actualizarFaseComuna, _format: json }

exportarsucursalesinactivascovid:
  path:  /exportar-sucursales-inactivas-covid
  defaults: { _controller: App\Controller\DefaultController::exportarsucursalesinactivascovid, _format: json }

activarSucursalesCovid:
  path:  /activar-sucursales-covid
  defaults: { _controller: App\Controller\DefaultController::activarSucursalesCovid, _format: json }

definirImagenesBeneficiosBci:
  path:  /definir-imagenes-beneficios-bci
  defaults: { _controller: App\Controller\DefaultController::definirImagenesBeneficiosBci, _format: json }

exportarExcelContactosMarca:
  path:  /exportar-excel-contactos-marca
  defaults: { _controller: App\Controller\DefaultController::exportarExcelContactosMarca, _format: json }

corregirOperadorBancarioCodigoComercio:
  path:  /corregir-operador-bancario
  defaults: { _controller: App\Controller\DefaultController::corregirOperadorBancario, _format: json }

asignarMarcaSucursalesComercio:
  path:  /asignar-marca-sucursales/{comercio_marca_id}
  defaults: { _controller: App\Controller\DefaultController::asignarMarcaSucursalesComercio, _format: json }

api:
  resource: '../src/Routes/'
  type:     directory
  prefix:   /api